Bug 45366 - Radeon gpu lockups
Summary: Radeon gpu lockups
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Radeon (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-29 04:27 UTC by Ernst Sjöstrand
Modified: 2012-05-14 09:49 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
GPU locksups log (19.54 KB, text/plain)
2012-01-29 04:27 UTC, Ernst Sjöstrand
no flags Details
GPU lookup - kernel 3.2.6; Ubuntu Oneiric (60.84 KB, application/octet-stream)
2012-02-20 08:06 UTC, Torsten Krah
no flags Details
More lockups (6.57 KB, text/plain)
2012-02-24 10:17 UTC, Ernst Sjöstrand
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ernst Sjöstrand 2012-01-29 04:27:35 UTC
Created attachment 56286 [details]
GPU locksups log

I'm getting gpu lockups every now and then. More likely during with heavy OpenGL usage, but Compiz is enough sometimes. I can switch to console and kill the application and usually get a functioning system back.
Setup:
Intel Core i5 2500k
Radeon 6850
Ubuntu 11.10
Kernel: Ubuntu 3.2.0-7.13-generic 3.2.0-rc7
3D stack from xorg-edgers ppa
Comment 1 Torsten Krah 2012-02-20 08:06:11 UTC
Created attachment 57325 [details]
GPU lookup - kernel 3.2.6; Ubuntu Oneiric

Got some GPU lookup today too (hope its the same thing and the correct bug report to add to) - happend the first time.
No openGL involved afaik can tell.
System recovered without i need to kill something, but mouse cursor is borked - so i needed to restart X anyway.
Comment 2 Torsten Krah 2012-02-20 08:24:12 UTC
Addon: Restart X did not help, mouse still garbage - had to reboot. Any other option i can try next time?
Comment 3 Ernst Sjöstrand 2012-02-20 08:25:19 UTC
So you don't run a compositing windowmanager?
killall -9 compiz get's me back to a fully working desktop.
Comment 4 Ernst Sjöstrand 2012-02-24 10:17:01 UTC
Created attachment 57602 [details]
More lockups

More lockups
Comment 5 Ernst Sjöstrand 2012-03-17 03:39:47 UTC
This might be related to reclocking the GPU because when I tried dynpm it happened more often and it often happens when waking the computer up from DPMS.
Comment 6 Ernst Sjöstrand 2012-03-23 13:43:10 UTC
I can now reproduce this consistenly I think:
Install Ubuntu Precise
Add xorg-edgers ppa
Create a 2:nd user
Log in as user 1
Switch to user 2
Switch to user 1

Then when you have unlocked user 1's screen with your password and it redraws the desktop I get a GPU reset loop.
Comment 7 Ernst Sjöstrand 2012-04-07 22:05:43 UTC
Now this happened to me during login! :-(
[  188.237505] radeon 0000:01:00.0: GPU lockup CP stall for more than 10008msec
[  188.237511] GPU lockup (waiting for 0x00000E47 last fence id 0x00000E46)
[  188.238681] radeon 0000:01:00.0: GPU softreset 
[  188.238684] radeon 0000:01:00.0:   GRBM_STATUS=0xB2703828
[  188.238687] radeon 0000:01:00.0:   GRBM_STATUS_SE0=0x1C000007
[  188.238689] radeon 0000:01:00.0:   GRBM_STATUS_SE1=0x08000007
[  188.238692] radeon 0000:01:00.0:   SRBM_STATUS=0x200000C0
[  188.238704] radeon 0000:01:00.0:   GRBM_SOFT_RESET=0x00007F6B
[  188.238806] radeon 0000:01:00.0:   GRBM_STATUS=0x00003828
[  188.238809] radeon 0000:01:00.0:   GRBM_STATUS_SE0=0x00000007
[  188.238811] radeon 0000:01:00.0:   GRBM_STATUS_SE1=0x00000007
[  188.238814] radeon 0000:01:00.0:   SRBM_STATUS=0x200000C0
[  188.239811] radeon 0000:01:00.0: GPU reset succeed
[  188.262214] [drm] PCIE GART of 512M enabled (table at 0x0000000000040000).
[  188.262326] radeon 0000:01:00.0: WB enabled
[  188.278447] [drm] ring test succeeded in 2 usecs
[  188.278456] [drm] ib test succeeded in 2 usecs
[  199.622493] radeon 0000:01:00.0: GPU lockup CP stall for more than 10020msec
[  199.622498] GPU lockup (waiting for 0x00000E63 last fence id 0x00000E60)
[  199.623667] radeon 0000:01:00.0: GPU softreset 
[  199.623670] radeon 0000:01:00.0:   GRBM_STATUS=0xB2701828
[  199.623673] radeon 0000:01:00.0:   GRBM_STATUS_SE0=0x1C000003
[  199.623675] radeon 0000:01:00.0:   GRBM_STATUS_SE1=0x08000003
[  199.623678] radeon 0000:01:00.0:   SRBM_STATUS=0x20000AC0
[  199.623689] radeon 0000:01:00.0:   GRBM_SOFT_RESET=0x00007F6B
[  199.623792] radeon 0000:01:00.0:   GRBM_STATUS=0x00003828
[  199.623794] radeon 0000:01:00.0:   GRBM_STATUS_SE0=0x00000007
[  199.623797] radeon 0000:01:00.0:   GRBM_STATUS_SE1=0x00000007
[  199.623800] radeon 0000:01:00.0:   SRBM_STATUS=0x200000C0
[  199.624796] radeon 0000:01:00.0: GPU reset succeed
[  199.647176] [drm] PCIE GART of 512M enabled (table at 0x0000000000040000).
[  199.647279] radeon 0000:01:00.0: WB enabled
[  199.901376] [drm] ring test succeeded in 3 usecs
[  199.901393] [drm] ib test succeeded in 3 usecs
[  210.619789] radeon 0000:01:00.0: GPU lockup CP stall for more than 10004msec
[  210.619794] GPU lockup (waiting for 0x00000F19 last fence id 0x00000F18)
[  210.620964] radeon 0000:01:00.0: GPU softreset 
[  210.620967] radeon 0000:01:00.0:   GRBM_STATUS=0xB2701828
[  210.620970] radeon 0000:01:00.0:   GRBM_STATUS_SE0=0x08000003
[  210.620973] radeon 0000:01:00.0:   GRBM_STATUS_SE1=0x1C000003
[  210.620975] radeon 0000:01:00.0:   SRBM_STATUS=0x200000C0
[  210.620987] radeon 0000:01:00.0:   GRBM_SOFT_RESET=0x00007F6B
[  210.621089] radeon 0000:01:00.0:   GRBM_STATUS=0x00003828
[  210.621092] radeon 0000:01:00.0:   GRBM_STATUS_SE0=0x00000007
[  210.621094] radeon 0000:01:00.0:   GRBM_STATUS_SE1=0x00000007
[  210.621097] radeon 0000:01:00.0:   SRBM_STATUS=0x200000C0
[  210.622094] radeon 0000:01:00.0: GPU reset succeed
[  210.644468] [drm] PCIE GART of 512M enabled (table at 0x0000000000040000).
[  210.644581] radeon 0000:01:00.0: WB enabled
[  210.660703] [drm] ring test succeeded in 2 usecs
[  210.660712] [drm] ib test succeeded in 2 usecs
[  225.864992] radeon 0000:01:00.0: GPU lockup CP stall for more than 10000msec
[  225.864997] GPU lockup (waiting for 0x00000F2C last fence id 0x00000F2B)
[  225.866169] radeon 0000:01:00.0: GPU softreset 
[  225.866172] radeon 0000:01:00.0:   GRBM_STATUS=0xB2701828
[  225.866175] radeon 0000:01:00.0:   GRBM_STATUS_SE0=0x1C000003
[  225.866177] radeon 0000:01:00.0:   GRBM_STATUS_SE1=0x08000003
[  225.866180] radeon 0000:01:00.0:   SRBM_STATUS=0x200000C0
[  225.866191] radeon 0000:01:00.0:   GRBM_SOFT_RESET=0x00007F6B
[  225.866294] radeon 0000:01:00.0:   GRBM_STATUS=0x00003828
[  225.866297] radeon 0000:01:00.0:   GRBM_STATUS_SE0=0x00000007
[  225.866299] radeon 0000:01:00.0:   GRBM_STATUS_SE1=0x00000007
[  225.866302] radeon 0000:01:00.0:   SRBM_STATUS=0x200000C0
[  225.867299] radeon 0000:01:00.0: GPU reset succeed
[  225.889664] [drm] PCIE GART of 512M enabled (table at 0x0000000000040000).
[  225.889767] radeon 0000:01:00.0: WB enabled
[  225.906004] [drm] ring test succeeded in 3 usecs
[  225.906016] [drm] ib test succeeded in 3 usecs
[  260.351552] radeon 0000:01:00.0: GPU lockup CP stall for more than 10000msec
[  260.352714] GPU lockup (waiting for 0x00000F3A last fence id 0x00000F39)
[  260.353886] radeon 0000:01:00.0: GPU softreset 
[  260.353889] radeon 0000:01:00.0:   GRBM_STATUS=0xB2701828
[  260.353892] radeon 0000:01:00.0:   GRBM_STATUS_SE0=0x08000003
[  260.353895] radeon 0000:01:00.0:   GRBM_STATUS_SE1=0x1C000003
[  260.353898] radeon 0000:01:00.0:   SRBM_STATUS=0x200000C0
[  260.353909] radeon 0000:01:00.0:   GRBM_SOFT_RESET=0x00007F6B
[  260.354012] radeon 0000:01:00.0:   GRBM_STATUS=0x00003828
[  260.354014] radeon 0000:01:00.0:   GRBM_STATUS_SE0=0x00000007
[  260.354017] radeon 0000:01:00.0:   GRBM_STATUS_SE1=0x00000007
[  260.354020] radeon 0000:01:00.0:   SRBM_STATUS=0x200000C0
[  260.355016] radeon 0000:01:00.0: GPU reset succeed
[  260.377432] [drm] PCIE GART of 512M enabled (table at 0x0000000000040000).
[  260.377536] radeon 0000:01:00.0: WB enabled
[  260.393774] [drm] ring test succeeded in 2 usecs
[  260.393786] [drm] ib test succeeded in 2 usecs
[  270.111054] show_signal_msg: 27 callbacks suppressed
[  270.111056] nautilus[2261]: segfault at 70 ip 00007f0496ef51a0 sp 00007fff59cd56e8 error 4 in libgdk-3.so.0.400.0[7f0496eb8000+79000]
[  272.086863] [drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation -35!
Comment 8 Ernst Sjöstrand 2012-04-11 09:56:11 UTC
(In reply to comment #6)
> I can now reproduce this consistenly I think:
> Install Ubuntu Precise
> Add xorg-edgers ppa
> Create a 2:nd user
> Log in as user 1
> Switch to user 2
> Switch to user 1
> 
> Then when you have unlocked user 1's screen with your password and it redraws
> the desktop I get a GPU reset loop.

Still easily reproducible with 3.4-rc2 vanilla and xorg-edgers. No config options, power-profile forced to high.
Comment 9 Ernst Sjöstrand 2012-05-14 09:49:45 UTC
I can no longer reproduce this with latest Xorg driver/mesa/drmlib! It's fixed in userspace somehow, not kernel.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.